Skip to content

Get request details

GET
/v1/requests/{request_id}

Get full details of a specific API request including path, method, status, latency, and request/response body summaries.

request_id
required
string
/^req_/
Example
req_a1b2c3d4e5

Request ID

Request details retrieved

object
data
required
object
id
required

Request ID (prefixed with req_)

string
Example
req_a1b2c3d4e5
method
required

HTTP method

string
Example
POST
path
required

Request path

string
Example
/api/v1/knowledge-bases/kb_x1y2z3/search
status_code
required

HTTP response status code

integer
Example
200
latency_ms
required

Request processing time in milliseconds

integer
Example
342
auth_type
required

Authentication method used

string
Allowed values: api_key jwt
Example
api_key
kb_id

Knowledge base ID if the request was scoped to a KB

string
nullable
Example
kb_x1y2z3w4v5
request_body

Summary of the request body (search query, top_k, etc.)

object
key
additional properties
any
created_at
required

When the request was made

string format: date-time
Example
2026-02-10T12:00:00.000Z

Authentication failed or missing

object
error
required
object
code
required

Machine-readable error code

string
Allowed values: VALIDATION_ERROR AUTHENTICATION_ERROR NOT_FOUND CONFLICT RATE_LIMIT_EXCEEDED USAGE_LIMIT_EXCEEDED EXTERNAL_SERVICE_ERROR INTERNAL_ERROR
Example
VALIDATION_ERROR
message
required

Human-readable error message

string
Example
Invalid request body
details

Additional error details (e.g., validation issues)

object
key
additional properties
any
Example
{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Invalid or missing API key"
}
}

Resource not found

object
error
required
object
code
required

Machine-readable error code

string
Allowed values: VALIDATION_ERROR AUTHENTICATION_ERROR NOT_FOUND CONFLICT RATE_LIMIT_EXCEEDED USAGE_LIMIT_EXCEEDED EXTERNAL_SERVICE_ERROR INTERNAL_ERROR
Example
VALIDATION_ERROR
message
required

Human-readable error message

string
Example
Invalid request body
details

Additional error details (e.g., validation issues)

object
key
additional properties
any
Example
{
"error": {
"code": "NOT_FOUND",
"message": "KnowledgeBase not found: kb_nonexistent"
}
}

Rate limit exceeded

object
error
required
object
code
required

Machine-readable error code

string
Allowed values: VALIDATION_ERROR AUTHENTICATION_ERROR NOT_FOUND CONFLICT RATE_LIMIT_EXCEEDED USAGE_LIMIT_EXCEEDED EXTERNAL_SERVICE_ERROR INTERNAL_ERROR
Example
VALIDATION_ERROR
message
required

Human-readable error message

string
Example
Invalid request body
details

Additional error details (e.g., validation issues)

object
key
additional properties
any
Example
{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Rate limit exceeded"
}
}